﻿using System.IO;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace Sociometry
{
    class Tools
    {
        public static int CountSymbols(string filename)
        {
            string fileText = File.ReadAllText(filename, Encoding.GetEncoding(1251));
            fileText = Regex.Replace(fileText, @"\p{C}+", string.Empty);
            return fileText.Length;
        }

        public static string[] WordsFromText(string fileName)
        {
            string fileText = File.ReadAllText(fileName, Encoding.GetEncoding(1251));
            fileText = Regex.Replace(fileText.ToLower(), @"\p{C}+", " ");
            string[] words = Regex.Matches(fileText, @"\w+")
                    .Cast<Match>()
                    .Select(x => x.Value)
                    .ToArray();
            return words;
        }

        public static int CountWordQuantity(string word, string[] words)
        {
            int count = 0;
            for (int i = 0; i < words.Length; i++)
            {
                if (words[i] == word.ToLower())
                {
                    count++;
                }
            }
            return count;
        }
    }
}
